QGIS Application - Bug report #390
GEOS: TopologyException occuring with identify tool
2006-11-14 02:06 PM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10449
Description

Hi,

via IRC | reported this problem and "wonder" fixed something already:

http://svn.qgis.org/trac/changeset/6071

I have now recompiled QGIS and latest 2.x GEOS. The identification now seems to work,

but still these warnings appear:

Warning: GEOS: [[TopologyException]]: side location conflict (4.33168e+06,2.52514e+06)
Warning: GEOS: [[TopologyException]]: side location conflict (4.34597e+06,2.51173e+06)
Warning: GEOS: [[TopologyException]]: side location conflict (4.39699e+06,2.59723e+06)

The sample SHAPE file is here: http://mpa.itc.it/markus/tmp/qgis/
It comes with some huge multipolygons.

| also contacted strk who told me (pasted with permission):

strk*refractions.net wrote on 11.11.2006 11:32:

> The topology exceptions are not considered real bug, but rather

> a limit of the algorithms. New algorithms in GEOS-3.0.0

> use some heuristics on exception and try to reapply the operation

> on a sligtly modified input to reduce likelyness of robustness issues.
>

> | think ggis should be using the C-API, where all of this comes for

> free (and GEOS-2.2.x should have the C-API already, so qgis will be
> binary compatible back to that version of geos). Alternatively you

> can probably still using the C++ api and make it compatible with both
> 2.2.x and 3.0.0 geos by adding some 'using namespace' directives IFF
> major_version > 2.

>

> --strk;

Best regards,
Markus
History

#1 - 2007-07-15 06:15 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

I'm closing this ticket as it is possible to compile and link qgis against geos 3 (with -DPEDANTIC=off)

#2 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
